#pragma once
#include "afxwin.h"
#include "resource.h"
#include "aplNetStepData.h"
#include "apl_gui.h"
//#include "ResizableDialog.h"
#include "aplWorkFlowManager.h"


// CSelConnectorDlg dialog

class CSelConnectorDlg : public CDialog
{
	DECLARE_DYNAMIC(CSelConnectorDlg)

public:
	CSelConnectorDlg(CWnd* pParent = NULL);   // standard constructor
	virtual ~CSelConnectorDlg();

	CaplAPI* m_api;
	CaplWorkFlowManager* m_wf_mgr;
	CaplInstance* m_task;
	CaplInstance* m_connector;

// Dialog Data
	enum { IDD = IDD_SEL_CONNECTOR };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

	DECLARE_MESSAGE_MAP()
public:
	CComboBox m_connector_ctrl;
	CStatic m_st_id_ctrl;
	CStatic m_st_name_ctrl;
	virtual BOOL OnInitDialog();
protected:
	virtual void OnOK();
public:
	CaplButton m_ok_btn;
	CaplButton m_cancel_btn;
};
